%define upstream_name    Pod-Weaver-Plugin-StopWords
%define upstream_version 1.010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Dynamically add stopwords to your woven pod
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(PPI)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Pod::Elemental) >= 0.102.360
BuildRequires: perl(Pod::Elemental::Element::Pod5::Command)
BuildRequires: perl(Pod::Elemental::Selectors)
BuildRequires: perl(Pod::Elemental::Transformer::Nester)
BuildRequires: perl(Pod::Elemental::Transformer::Pod5)
BuildRequires: perl(Pod::Weaver) >= 3.101.632
BuildRequires: perl(Pod::Weaver::Role::Finalizer)
BuildRequires: perl(Software::License::Perl_5)
BuildRequires: perl(Test::Differences) >= 0.500.0
BuildRequires: perl(Test::MockObject) >= 1.90.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a simple document meant to be used in testing Pod::Weaver.

It does not do very much.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.10.0-6.mga9
+ Revision: 1817342
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-5.mga8
+ Revision: 1496789
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.10.0-4.mga7
+ Revision: 1270761
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-3.mga6
+ Revision: 1032343
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.10.0-2.mga6
+ Revision: 966789
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.10.0-1.mga6
+ Revision: 846891
- update to 1.010

* Wed Oct 15 2014 umeabot <umeabot> 1.9.0-3.mga5
+ Revision: 743675
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 1.9.0-1.mga5
+ Revision: 664436
- update to 1.009

* Fri Feb 07 2014 sander85 <sander85> 1.8.0-1.mga5
+ Revision: 585569
- update to 1.008

* Sat Oct 19 2013 umeabot <umeabot> 1.7.0-2.mga4
+ Revision: 532290
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 sander85 <sander85> 1.7.0-1.mga4
+ Revision: 467788
- update to 1.007

* Fri Jun 07 2013 jquelin <jquelin> 1.6.0-1.mga4
+ Revision: 439805
- update to 1.006

* Sun Jan 13 2013 umeabot <umeabot> 1.5.0-2.mga3
+ Revision: 372029
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1.5.0-1.mga3
+ Revision: 267455
- update to 1.005
- update to 1.004

* Tue Apr 19 2011 jquelin <jquelin> 1.3.0-1.mga1
+ Revision: 88545
- update to 1.003

* Wed Mar 16 2011 jquelin <jquelin> 1.2.0-1.mga1
+ Revision: 72504
- update buildrequires:
- imported package perl-Pod-Weaver-Plugin-StopWords


* Wed Mar 16 2011 cpan2dist 1.002-1mga
- initial mageia release, generated with cpan2dist
